// ------- scancode.h

#ifndef SCANCODE_H
#define SCANCODE_H

// -------------------------------- MISC
const int         SCAN_SPACE = 0x39;
const int         SCAN_ENTER = 0x1c;
const int        SCAN_INSERT = 0x52;
const int           SCAN_DEL = 0x53;
const int           SCAN_END = 0x4f;
const int          SCAN_PGDN = 0x51;
const int          SCAN_PGUP = 0x49;
const int          SCAN_HOME = 0x47;
const int          SCAN_LEFT = 0x4b;
const int            SCAN_UP = 0x48;
const int         SCAN_RIGHT = 0x4d;
const int          SCAN_DOWN = 0x50;
const int       SCAN_BKSPACE = 0x0e;
const int           SCAN_TAB = 0x0f;
const int        SCAN_ESCAPE = 0x01;
const int           SCAN_ESC = 0x01;
// -------------------------------- rare
const int          SCAN_CTRL = 0x1d;
const int        SCAN_LSHIFT = 0x2a;
const int        SCAN_RSHIFT = 0x36;
const int   SCAN_PRINTSCREEN = 0x37;
const int           SCAN_ALT = 0x38;
const int       SCAN_NUMLOCK = 0x45;
const int    SCAN_SCROLLLOCK = 0x46;
// -------------------------------- F-keys
const int            SCAN_F1 = 0x3b;
const int            SCAN_F2 = 0x3c;
const int            SCAN_F3 = 0x3d;
const int            SCAN_F4 = 0x3e;
const int            SCAN_F5 = 0x3f;
const int            SCAN_F6 = 0x40;
const int            SCAN_F7 = 0x41;
const int            SCAN_F8 = 0x42;
const int            SCAN_F9 = 0x43;
const int           SCAN_F10 = 0x44;
// -------------------------------- ALPHA
const int             SCAN_A = 0x1e;
const int             SCAN_B = 0x30;
const int             SCAN_C = 0x2e;
const int             SCAN_D = 0x20;
const int             SCAN_E = 0x12;
const int             SCAN_F = 0x21;
const int             SCAN_G = 0x22;
const int             SCAN_H = 0x23;
const int             SCAN_I = 0x17;
const int             SCAN_J = 0x24;
const int             SCAN_K = 0x25;
const int             SCAN_L = 0x26;
const int             SCAN_M = 0x32;
const int             SCAN_N = 0x31;
const int             SCAN_O = 0x18;
const int             SCAN_P = 0x19;
const int             SCAN_Q = 0x10;
const int             SCAN_R = 0x13;
const int             SCAN_S = 0x1f;
const int             SCAN_T = 0x14;
const int             SCAN_U = 0x16;
const int             SCAN_V = 0x2f;
const int             SCAN_W = 0x11;
const int             SCAN_X = 0x2d;
const int             SCAN_Y = 0x15;
const int             SCAN_Z = 0x2c;

#endif

